using System.Collections.Generic;
using System.Linq;
using Net.Eagle0.Eagle.Common;
using Net.Eagle0.Shardok.Api;
using UnityEngine;

public class EagleCommonTextures : MonoBehaviour {
    public List<Texture2D> battalionTextures;
    public List<Texture2D> professionTextures;
    public Texture2D training;
    public Texture2D armament;

    public Texture2D noProfessionTexture;

    public Texture2D BattalionType(BattalionTypeId type) { return battalionTextures[(int)type]; }

    public Texture2D BattalionType(BattalionView.Types.BattalionTypeId type) {
        return battalionTextures[(int)type];
    }

    public Texture2D Profession(Profession profession) {
        if (profession == Net.Eagle0.Eagle.Common.Profession.NoProfession)
            return professionTextures.Last();
        return professionTextures[(int)profession];
    }

    public Texture2D Profession(HeroView.Types.ProfessionSpecificInfo.Types.Profession profession) {
        if (profession == HeroView.Types.ProfessionSpecificInfo.Types.Profession.NoProfession)
            return professionTextures.Last();
        return professionTextures[(int)profession];
    }

    // Start is called before the first frame update
    void Start() {}
}
